Package org.snpsift.annotate.mem

# Class Fields

java.lang.Object
org.snpsift.annotate.mem.Fields

All Implemented Interfaces:
  `Serializable`, `Iterable<org.snpeff.vcf.VcfHeaderInfo>`

public class Fields extends Object implements Iterable<org.snpeff.vcf.VcfHeaderInfo>, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Fields()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(org.snpeff.vcf.VcfHeaderInfo field)`
`org.snpeff.vcf.VcfHeaderInfo`
`get(String name)`
`String[]`
`getNames()`
`Iterator<org.snpeff.vcf.VcfHeaderInfo>`
`iterator()`
`static Fields`
`load(String fileName)`
`void`
`save(String fileName)`
Save to file
`Collection<org.snpeff.vcf.VcfHeaderEntry>`
`vcfHeaders(String prefix)`
Get VCF headers

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### Fields

public Fields()

## Method Details

### load

public static Fields load(String fileName)

### add

public void add(org.snpeff.vcf.VcfHeaderInfo field)

### get

public org.snpeff.vcf.VcfHeaderInfo get(String name)

### getNames

public String[] getNames()

### iterator

public Iterator<org.snpeff.vcf.VcfHeaderInfo> iterator()

Specified by:
  `iterator` in interface `Iterable<org.snpeff.vcf.VcfHeaderInfo>`

### save

public void save(String fileName)
Save to file

### vcfHeaders

public Collection<org.snpeff.vcf.VcfHeaderEntry> vcfHeaders(String prefix)
Get VCF headers